Subject: Re: [RFC/PATCH 0/4] Remove deprecated commands

From: John Keeping <[email-masked]>
Date: Mon, 11 Nov 2013 18:38:53 +0000

On Mon, Nov 11, 2013 at 10:25:51AM -0800, Junio C Hamano wrote:
> John Keeping <[email-masked]> writes:
> 
> > "git repo-config", "git tar-tree", "git lost-found" and "git
> > peek-remote" have all been deprecated since at least Git 1.5.4.
> >
> > With Git 2.0 approaching, I think that would be a good point to remove
> > then completely, which is what this series does.
> 
> Probably good material to discuss during the next cycle.
>
> As a totally unscientific sanity check, I asked Google to show these
> since Nov 13, 2011:
> 
>     [git repo-config] vs [git config]: 136 vs 232
> 
>     [git peek-remote] vs [git ls-remote]: 62 vs 133
> 
>     [git tar-tree] vs [git archive]: 73 vs 189
> 
>     [git lost-found] vs [git fsck --lost-found]: 96 vs 83
> 
> So I think 1, 2, and 4 are OK to ship in whatever version that comes
> after the upcoming 1.8.5, but we might have to hold onto lost-found
> a bit longer.  The command does show a deprecation warning, so there
> is nothing to change at this point.

I was assuming these would be queued as a "held until 2.0" branch, but
if you think some can go earlier I can re-send this once 1.8.5 is out of
the way.